Subject: Re: [PATCH net-next 11/14] net: phylink: delay MAC configuration for copper SFP modules

From: Russell King - ARM Linux admin <[email-masked]>
Date: Mon, 9 Dec 2019 14:49:11 +0000

On Mon, Dec 09, 2019 at 02:07:38PM +0000, Russell King wrote:
> Knowing whether we need to delay the MAC configuration because a module
> may have a PHY is useful to phylink to allow NBASE-T modules to work on
> systems supporting no more than 2.5G speeds.
> 
> This commit allows us to delay such configuration until after the PHY
> has been probed by recording the parsed capabilities, and if the module
> may have a PHY, doing no more until the module_start() notification is
> called.  At that point, we either have a PHY, or we don't.
> 
> We move the PHY-based setup a little later, and use the PHYs support
> capabilities rather than the EEPROM parsed capabilities to determine
> whether we can support the PHY.

...

>  	/* If this SFP module has a PHY, start the PHY now. */
> -	if (pl->phydev)
> +	if (pl->phydev) {
>  		phy_start(pl->phydev);
> -		
> -	return 0;
> +		return 0;

Sigh, fixing up a white-space warning in a preceding patch while test-
applying the patches to net-next broke this patch.

"Oh, it'll be simple, all I need to do is delete the two tabs that the
 patch added, no problem."  Yea, right.

I'll re-post shortly with a fixed set of patches.  Sorry for the noise.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 12.1Mbps down 622kbps up
According to speedtest.net: 11.9Mbps down 500kbps up